Name:           cockpit-image-builder
Version:        61
Release:        1.20250304093558825375.pr2936.32.g674f7b3f%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-62.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Tue Mar 4 2025 Packit <hello@packit.dev> - 61-1.20250304093558825375.pr2936.32.g674f7b3f
- Wizard: fix the bluprint name update when changing Arc or Distribution this commit fix the bug that blueprint name doesnt update when user change the Arc or Distribution (Michal Gold)
- src: Remove timezone and locale unleash flags (regexowl)
- Wizard: Deprecate `Chip` and `ChipGroup` components (regexowl)
- Wizard: bigger space between in target envs in review (Katarina Sieklova)
- build(deps-dev): bump babel-loader from 9.2.1 to 10.0.0 (dependabot[bot])
- Update Konflux references (red-hat-konflux[bot])
- Wizard: resolving className modifiers (Katarina Sieklova)
- Wizard: fix indentation of manual file system config (Katarina Sieklova)
- LandingPage: Add NewAlert for added customizations (regexowl)
- Wizard: Add masked services input (regexowl)
- build(deps-dev): bump sass from 1.85.0 to 1.85.1 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/parser from 8.24.1 to 8.25.0 (dependabot[bot])
- Wizard: Remove first boot script from services when no script (regexowl)
- Wizard: reseting page to default state (Katarina Sieklova)
- build(deps): bump @sentry/webpack-plugin from 3.2.0 to 3.2.1 (dependabot[bot])
- build(deps-dev): bump uuid from 11.0.5 to 11.1.0 (dependabot[bot])
- Changed to switch statement (Katarina Sieklova)
- Blueprints: invalid message variant on upload Fixed #2919 (Katarina Sieklova)
- build(deps): bump @redhat-cloud-services/frontend-components-notifications (dependabot[bot])
- build(deps): bump @unleash/proxy-client-react from 4.5.1 to 4.5.2 (dependabot[bot])
- .github/workflows/trigger-gitlab: donly trigger nightly pipelines (Sanne Raymaekers)
- .github/workflows/trigger-gitlab: remove artifact steps (Sanne Raymaekers)
- schutzbot: add basic schutzbot structure (Sanne Raymaekers)
- Wizard: Switch view to "Available" when searching for package (dependabot[bot])
- chore(deps): update konflux references to b78123a (red-hat-konflux[bot])
- Wizard: Remove obsolete css (regexowl)
- build(deps-dev): bump sass from 1.83.1 to 1.85.0 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps): bump @sentry/webpack-plugin from 3.1.2 to 3.2.0 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/parser from 8.24.0 to 8.24.1 (dependabot[bot])
- Blueprints: Import Blueprint modal error rendering Fixed #2905 (Katarina Sieklova)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
